function convocatoriasController($sepInstitucion) {
    var self = this;

    self.origenes = new Coleccion();
    self.busqueda = '';
    self.cargarConvocatorias = cargarConvocatorias;
    self.filtrar = filtrar;

    function cargarConvocatorias(origenes) {
        if (self.origenes.cargando) return;

        self.origenes.cargar(function() {
            return $sepInstitucion.obtenerConvocatorias(origenes, function(res) {
                if (!res.error) {
                    self.origenes.lista = res.data || [];
                }
            });
        });
    }

    function filtrar(origen) {
        if (!self.busqueda) return true;

        var busqueda = sinAcentos(self.busqueda.toLocaleLowerCase());

        var convocatorias = $.grep(origen.convocatorias, function(c) {
            return !c.titulo || sinAcentos(c.titulo.toLowerCase()).indexOf(busqueda) >= 0;
        });

        return !origen.nombre || sinAcentos(origen.nombre.toLowerCase()).indexOf(busqueda) >= 0 || convocatorias.length > 0;
    }

    function sinAcentos(value) {
        return value
            .replace(/á/g, 'a')
            .replace(/é/g, 'e')
            .replace(/í/g, 'i')
            .replace(/ó/g, 'o')
            .replace(/ú/g, 'u');
    }
}